﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\PMCO_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMCO_CONTCOSTENTRY') 
 CREATE TABLE T_PMCO_CONTCOSTENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FCONTRACTID BIGINT DEFAULT 0 NOT NULL,
FCONTRACTNUMBER VARCHAR(60) DEFAULT ' ' NOT NULL,
FSETTLEID BIGINT DEFAULT 0 NOT NULL,
FSETTLENUMBER VARCHAR(60) DEFAULT ' ' NOT NULL,
FSETTLEPERIODID BIGINT DEFAULT 0 NOT NULL,
FSETTLEAMOUNT DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FSETTLESPLITAMOUNT DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FSPLITAMOUNT DECIMAL(23,10) DEFAULT 0.000000000 NOT NULL,
FUNSPLITAMOUNT DECIMAL(23,10) DEFAULT 0.000000000 NOT NULL,
FENTRYCOMMENT VARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMCO_CONTCOSTSUBENTRY') 
 CREATE TABLE T_PMCO_CONTCOSTSUBENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FSUBSETTLENUMBER VARCHAR(60) DEFAULT ' ' NOT NULL,
FBUDGETITEMID BIGINT DEFAULT 0 NOT NULL,
FLISTING VARCHAR(100) DEFAULT ' ' NOT NULL,
FAMOUNT DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FSUBENTRYCOMMENT VARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMCO_CONTRACTCOST') 
 CREATE TABLE T_PMCO_CONTRACTCOST (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO VARCHAR(60) DEFAULT ' ' NOT NULL,
FBILLSTATUS VARCHAR(30) DEFAULT ' ' NOT NULL,
FBILLNAME VARCHAR(100) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FORGID BIGINT DEFAULT 0 NOT NULL,
FPERIODID BIGINT DEFAULT 0 NOT NULL,
FPROJECTID BIGINT DEFAULT 0 NOT NULL,
FCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FCOSTAMOUNT DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FDESCRIPTION VARCHAR(510) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMCO_PROCOSTSPLIT') 
 CREATE TABLE T_PMCO_PROCOSTSPLIT (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO VARCHAR(60) DEFAULT ' ' NOT NULL,
FBILLSTATUS VARCHAR(30) DEFAULT ' ' NOT NULL,
FBILLNAME VARCHAR(100) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FORGID BIGINT DEFAULT 0 NOT NULL,
FPERIODID BIGINT DEFAULT 0 NOT NULL,
FPROJECTID BIGINT DEFAULT 0 NOT NULL,
FCOMMENT VARCHAR(510) DEFAULT ' ' NOT NULL,
FTOTALCOSTAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCURRENCYID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMCO_PROCOSTSPLITENTRY') 
 CREATE TABLE T_PMCO_PROCOSTSPLITENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FFUNDITEMID BIGINT DEFAULT 0 NOT NULL,
FCOSTAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCOMMENT VARCHAR(510) DEFAULT ' ' NOT NULL,
FBUDGETITEMID BIGINT DEFAULT 0 NOT NULL
);



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\PMCO_table.sql **/
