﻿/**Begin D:\PDM_UPGRADE_1.1\PDM_UPGRADE\PDM1\PMCO_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PMCO_CONTCOSTSUBENTRY' AND KSQL_COL_NAME ='FCOSTITEM') 
 ALTER TABLE T_PMCO_CONTCOSTSUBENTRY ADD (FCOSTITEM BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PMCO_PROCOSTSPLITENTRY' AND KSQL_COL_NAME ='FCOSTITEM') 
 ALTER TABLE T_PMCO_PROCOSTSPLITENTRY ADD (FCOSTITEM BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PMCO_CONTRACTCOST' AND KSQL_COL_NAME ='FCOSTDIMENSION') 
 ALTER TABLE T_PMCO_CONTRACTCOST ADD (FCOSTDIMENSION BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PMCO_PROCOSTSPLIT' AND KSQL_COL_NAME ='FCOSTDIMENSION') 
 ALTER TABLE T_PMCO_PROCOSTSPLIT ADD (FCOSTDIMENSION BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMCO_PAYAPPLYCOSTSPLIT') 
 CREATE TABLE T_PMCO_PAYAPPLYCOSTSPLIT (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(30) DEFAULT ' ' NOT NULL,
FBILLNAME NVARCHAR(60) DEFAULT ' ' NOT NULL,
FPROJECTID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FISPERIOD CHAR(1) DEFAULT ' ' NOT NULL,
FPERIOD BIGINT DEFAULT 0 NOT NULL,
FCREATEORG BIGINT DEFAULT 0 NOT NULL,
FBILLSTATUS NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCURRENEY BIGINT DEFAULT 0 NOT NULL,
FCOSTDIMENSION BIGINT DEFAULT 0 NOT NULL,
FCOSTAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMCO_CONPAYCOSTDETAILS') 
 CREATE TABLE T_PMCO_CONPAYCOSTDETAILS (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FCONTRACT BIGINT DEFAULT 0 NOT NULL,
FCONAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSUMPAYAPPAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FHISSPLITAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCURSPLITAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FRESIDUEAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCOSTCURRENCY BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMCO_COSTSPLITDETAILS') 
 CREATE TABLE T_PMCO_COSTSPLITDETAILS (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FPROBUDGET BIGINT DEFAULT 0 NOT NULL,
FCOSTDIMENSION BIGINT DEFAULT 0 NOT NULL,
FCOSTITEM BIGINT DEFAULT 0 NOT NULL,
FSPLITAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FNOTES NVARCHAR(255) DEFAULT ' ',
FCURRENCY BIGINT DEFAULT 0 NOT NULL
);



/**End D:\PDM_UPGRADE_1.1\PDM_UPGRADE\PDM1\PMCO_table.sql **/
