﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\PMCO_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMCO_ADJUSTDETAILENTRY') 
 CREATE TABLE T_PMCO_ADJUSTDETAILENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FADJUSTBUDGETITEMNAME VARCHAR(100) DEFAULT ' ' NOT NULL,
FADJUSTBUDGETITEMID BIGINT DEFAULT 0 NOT NULL,
FADJUSTPROBUDGETITEMID BIGINT DEFAULT 0 NOT NULL,
FUNDERTAKEORGID BIGINT DEFAULT 0 NOT NULL,
FUNDERTAKEPERIOD DATETIME,
FBEFORERATIO DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FBEFOREAMT DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FDIFFERENCERATIO DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FENTRYPRONAME VARCHAR(510) DEFAULT ' ' NOT NULL,
FENTRYPRONUMBER VARCHAR(510) DEFAULT ' ' NOT NULL,
FENTRYPROID BIGINT DEFAULT 0 NOT NULL,
FCURRENTRATIO DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FCURRENTAMT DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FDIFFERENCEAMT DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FADJUSTCOMMON VARCHAR(510) DEFAULT ' ' NOT NULL,
FTHISNEW CHAR(1) DEFAULT '0' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMCO_ADJUSTREALENTRY') 
 CREATE TABLE T_PMCO_ADJUSTREALENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FREALPROBUDGETNAME VARCHAR(100) DEFAULT ' ' NOT NULL,
FREALBUDGETITEMID BIGINT DEFAULT 0 NOT NULL,
FREALUNDERTAKEORGID BIGINT DEFAULT 0 NOT NULL,
FREALUNDERTAKEPERIOD DATETIME,
FREALPRONAME VARCHAR(510) DEFAULT ' ' NOT NULL,
FREALPRONUMBER VARCHAR(510) DEFAULT ' ' NOT NULL,
FREALPROID BIGINT DEFAULT 0 NOT NULL,
FREALBEFOREAMT DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FREALUNDERTAKEAMT DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FREALDIFFERENCEAMT DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMCO_OUTBUDGETADJUST') 
 CREATE TABLE T_PMCO_OUTBUDGETADJUST (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO VARCHAR(160) DEFAULT ' ' NOT NULL,
FBILLSTATUS VARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FBILLNAME VARCHAR(160) DEFAULT ' ' NOT NULL,
FPROJECTID BIGINT DEFAULT 0 NOT NULL,
FCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FTOTALAMOUNT DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FPROJECTAPPLYDATE DATETIME,
FSPLITTYPE VARCHAR(30) DEFAULT ' ' NOT NULL,
FDESCRIPTION VARCHAR(510) DEFAULT ' ' NOT NULL
);



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\PMCO_table.sql **/
