﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\PMCO_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMCO_BUDGETRECORD') 
 CREATE TABLE T_PMCO_BUDGETRECORD (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO VARCHAR(160) DEFAULT ' ' NOT NULL,
FBILLSTATUS VARCHAR(30) DEFAULT ' ' NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FPROJECTID BIGINT DEFAULT 0 NOT NULL,
FBILLSOURCE VARCHAR(50) DEFAULT ' ' NOT NULL,
FRELATEBILLID VARCHAR(50) DEFAULT ' ' NOT NULL,
FBUDGETSTAGEID BIGINT DEFAULT 0 NOT NULL,
FTOTALAMOUNT DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FGROUPID BIGINT DEFAULT 0 NOT NULL,
FCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FPROJECTAPPLYDATE DATETIME,
FBUDGETCONTROLMODE NVARCHAR(100) DEFAULT ' ' NOT NULL,
FPROJECTCOSTCONTROL CHAR(1) DEFAULT ' ' NOT NULL,
FISVALID CHAR(1) DEFAULT '0' NOT NULL,
FDESCRIPTION VARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FAUDITDATE DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMCO_REALBUDGETENTRY') 
 CREATE TABLE T_PMCO_REALBUDGETENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FREALPROBUDGETNAME VARCHAR(100) DEFAULT ' ' NOT NULL,
FREALBUDGETITEMID BIGINT DEFAULT 0 NOT NULL,
FREALUNDERTAKEORGID BIGINT DEFAULT 0 NOT NULL,
FREALUNDERTAKEPERIOD DATETIME,
FREALPRONAME VARCHAR(510) DEFAULT ' ' NOT NULL,
FREALPRONUMBER VARCHAR(510) DEFAULT ' ' NOT NULL,
FREALPROID BIGINT DEFAULT 0 NOT NULL,
FREALBEFOREAMT DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FREALUNDERTAKEAMT DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FREALDIFFERENCEAMT DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FUSEDAMT DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL
);



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\PMCO_table.sql **/
